SimpleGroovyProgramElementDoc (Groovy 2.4.7)
Date: 2016-06-03

org.codehaus.groovy.tools.groovydoc

## Class SimpleGroovyProgramElementDoc

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
  - - org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

- All Implemented Interfaces:
    Comparable, GroovyTokenTypes, GroovyDoc, GroovyProgramElementDoc
  Direct Known Subclasses:
    SimpleGroovyAbstractableElementDoc

      public class SimpleGroovyProgramElementDoc
      extends SimpleGroovyDoc
      implements GroovyProgramElementDoc

- - ### Field Summary

    - ### Fields inherited from interface org.codehaus.groovy.antlr.parser.GroovyTokenTypes

      `ABSTRACT, ANNOTATION, ANNOTATION_ARRAY_INIT, ANNOTATION_DEF, ANNOTATION_FIELD_DEF, ANNOTATION_MEMBER_VALUE_PAIR, ANNOTATIONS, ARRAY_DECLARATOR, ASSIGN, AT, BAND, BAND_ASSIGN, BIG_SUFFIX, BLOCK, BNOT, BOR, BOR_ASSIGN, BSR, BSR_ASSIGN, BXOR, BXOR_ASSIGN, CASE_GROUP, CLASS_DEF, CLOSABLE_BLOCK, CLOSABLE_BLOCK_OP, CLOSURE_LIST, COLON, COMMA, COMPARE_TO, CTOR_CALL, CTOR_IDENT, DEC, DIGIT, DIGITS_WITH_UNDERSCORE, DIGITS_WITH_UNDERSCORE_OPT, DIV, DIV_ASSIGN, DOLLAR, DOLLAR_REGEXP_CTOR_END, DOLLAR_REGEXP_LITERAL, DOLLAR_REGEXP_SYMBOL, DOT, DYNAMIC_MEMBER, ELIST, ELVIS_OPERATOR, EMPTY_STAT, ENUM_CONSTANT_DEF, ENUM_DEF, EOF, EQUAL, ESC, ESCAPED_DOLLAR, ESCAPED_SLASH, EXPONENT, EXPR, EXTENDS_CLAUSE, FINAL, FLOAT_SUFFIX, FOR_CONDITION, FOR_EACH_CLAUSE, FOR_IN_ITERABLE, FOR_INIT, FOR_ITERATOR, GE, GT, HEX_DIGIT, IDENT, IDENTICAL, IMPLEMENTS_CLAUSE, IMPLICIT_PARAMETERS, IMPORT, INC, INDEX_OP, INSTANCE_INIT, INTERFACE_DEF, LABELED_ARG, LABELED_STAT, LAND, LBRACK, LCURLY, LE, LETTER, LIST_CONSTRUCTOR, LITERAL_as, LITERAL_assert, LITERAL_boolean, LITERAL_break, LITERAL_byte, LITERAL_case, LITERAL_catch, LITERAL_char, LITERAL_class, LITERAL_continue, LITERAL_def, LITERAL_default, LITERAL_double, LITERAL_else, LITERAL_enum, LITERAL_extends, LITERAL_false, LITERAL_finally, LITERAL_float, LITERAL_for, LITERAL_if, LITERAL_implements, LITERAL_import, LITERAL_in, LITERAL_instanceof, LITERAL_int, LITERAL_interface, LITERAL_long, LITERAL_native, LITERAL_new, LITERAL_null, LITERAL_package, LITERAL_private, LITERAL_protected, LITERAL_public, LITERAL_return, LITERAL_short, LITERAL_static, LITERAL_super, LITERAL_switch, LITERAL_synchronized, LITERAL_this, LITERAL_threadsafe, LITERAL_throw, LITERAL_throws, LITERAL_trait, LITERAL_transient, LITERAL_true, LITERAL_try, LITERAL_void, LITERAL_volatile, LITERAL_while, LNOT, LOR, LPAREN, LT, MAP_CONSTRUCTOR, MEMBER_POINTER, METHOD_CALL, METHOD_DEF, MINUS, MINUS_ASSIGN, ML_COMMENT, MOD, MOD_ASSIGN, MODIFIERS, MULTICATCH, MULTICATCH_TYPES, NLS, NOT_EQUAL, NOT_IDENTICAL, NULL_TREE_LOOKAHEAD, NUM_BIG_DECIMAL, NUM_BIG_INT, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OBJBLOCK, ONE_NL, OPTIONAL_DOT, PACKAGE_DEF, PARAMETER_DEF, PARAMETERS, PLUS, PLUS_ASSIGN, POST_DEC, POST_INC, QUESTION, RANGE_EXCLUSIVE, RANGE_INCLUSIVE, RBRACK, RCURLY, REGEX_FIND, REGEX_MATCH, REGEXP_CTOR_END, REGEXP_LITERAL, REGEXP_SYMBOL, RPAREN, SELECT_SLOT, SEMI, SH_COMMENT, SL, SL_ASSIGN, SL_COMMENT, SLIST, SPREAD_ARG, SPREAD_DOT, SPREAD_MAP_ARG, SR, SR_ASSIGN, STAR, STAR_ASSIGN, STAR_STAR, STAR_STAR_ASSIGN, STATIC_IMPORT, STATIC_INIT, STRICTFP, STRING_CH, STRING_CONSTRUCTOR, STRING_CTOR_END, STRING_CTOR_MIDDLE, STRING_CTOR_START, STRING_LITERAL, STRING_NL, SUPER_CTOR_CALL, TRAIT_DEF, TRIPLE_DOT, TYPE, TYPE_ARGUMENT, TYPE_ARGUMENTS, TYPE_LOWER_BOUNDS, TYPE_PARAMETER, TYPE_PARAMETERS, TYPE_UPPER_BOUNDS, TYPECAST, UNARY_MINUS, UNARY_PLUS, UNUSED_CONST, UNUSED_DO, UNUSED_GOTO, VARIABLE_DEF, VARIABLE_PARAMETER_DEF, VOCAB, WILDCARD_TYPE, WS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleGroovyProgramElementDoc(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAnnotationRef(GroovyAnnotationRef ref)`
    `GroovyAnnotationRef[]` | `annotations()`
    `GroovyClassDoc` | `containingClass()`
    `GroovyPackageDoc` | `containingPackage()`
    `boolean` | `isFinal()`
    `boolean` | `isPackagePrivate()`
    `boolean` | `isPrivate()`
    `boolean` | `isProtected()`
    `boolean` | `isPublic()`
    `boolean` | `isStatic()`
    `String` | `modifiers()`
    `int` | `modifierSpecifier()`
    `String` | `qualifiedName()`
    `void` | `setContainingPackage(GroovyPackageDoc packageDoc)`
    `void` | `setFinal(boolean b)`
    `void` | `setPackagePrivate(boolean b)`
    `void` | `setPrivate(boolean b)`
    `void` | `setProtected(boolean b)`
    `void` | `setPublic(boolean b)`
    `void` | `setStatic(boolean b)`

    - ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

      `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

      `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### SimpleGroovyProgramElementDoc

          public SimpleGroovyProgramElementDoc(String name)

  - ### Method Detail

    - #### containingPackage

          public GroovyPackageDoc containingPackage()

      Specified by:
        `containingPackage` in interface `GroovyProgramElementDoc`

    - #### setContainingPackage

          public void setContainingPackage(GroovyPackageDoc packageDoc)

    - #### setStatic

          public void setStatic(boolean b)

    - #### isStatic

          public boolean isStatic()

      Specified by:
        `isStatic` in interface `GroovyProgramElementDoc`

    - #### setFinal

          public void setFinal(boolean b)

    - #### isFinal

          public boolean isFinal()

      Specified by:
        `isFinal` in interface `GroovyProgramElementDoc`

    - #### setPublic

          public void setPublic(boolean b)

    - #### isPublic

          public boolean isPublic()

      Specified by:
        `isPublic` in interface `GroovyProgramElementDoc`

    - #### setProtected

          public void setProtected(boolean b)

    - #### isProtected

          public boolean isProtected()

      Specified by:
        `isProtected` in interface `GroovyProgramElementDoc`

    - #### setPackagePrivate

          public void setPackagePrivate(boolean b)

    - #### isPackagePrivate

          public boolean isPackagePrivate()

      Specified by:
        `isPackagePrivate` in interface `GroovyProgramElementDoc`

    - #### setPrivate

          public void setPrivate(boolean b)

    - #### isPrivate

          public boolean isPrivate()

      Specified by:
        `isPrivate` in interface `GroovyProgramElementDoc`

    - #### annotations

          public GroovyAnnotationRef[] annotations()

      Specified by:
        `annotations` in interface `GroovyProgramElementDoc`

    - #### addAnnotationRef

          public void addAnnotationRef(GroovyAnnotationRef ref)

    - #### containingClass

          public GroovyClassDoc containingClass()

      Specified by:
        `containingClass` in interface `GroovyProgramElementDoc`

    - #### modifiers

          public String modifiers()

      Specified by:
        `modifiers` in interface `GroovyProgramElementDoc`

    - #### modifierSpecifier

          public int modifierSpecifier()

      Specified by:
        `modifierSpecifier` in interface `GroovyProgramElementDoc`

    - #### qualifiedName

          public String qualifiedName()

      Specified by:
        `qualifiedName` in interface `GroovyProgramElementDoc`